<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.4 (2009/07/07)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Fork MinieditorTextarea ralis par Djchouix    
 * CeCILL Copyright (C) 2004-2006 by Laurent Duveau
 * Made by Laurent Duveau, Nicolas Alves, Albert Aymard,
 * Jean-Michel Misrachi, Isabelle Marchina and Team
 * Web site = http://lebrikabrak.free.fr/
 * E-mail   : lebrikabrak@free.fr
 * version 1.6.2
 */
session_start();
header("Pragma: no-cache");
define("CHEMIN", "../../../../../");
include(CHEMIN."inc/includes.inc");
$lng = isset($_GET['lng']) ? $_GET['lng'] : NULL;
$nameform = isset($_GET['nameform']) ? $_GET['nameform'] : NULL;
$nametextarea = isset($_GET['nametextarea']) ? $_GET['nametextarea'] : NULL;
if(!preg_match("`^[-a-z]+$`i",$lng) || !preg_match("`^[-a-z0-9_]+$`i",$nameform) || !preg_match("`^[-a-z0-9_]+$`i",$nametextarea)) die("Erreur dans le nom des variables passes dans l'URL !!");
//PROTECTION CONTRE LES PETITS CURIEUX
if (file_exists(CHEMIN."plugins/adm_redacteurs/inc/redac_login".INCEXT)) {
    include(CHEMIN."plugins/adm_redacteurs/inc/redac_login".INCEXT);
} else {
    die('Error 220');
};
//on regarde ce que contient la variable $log
switch ($log){

    case "Not logged" :  //on sort
	     if($version == "new"){
              unset($_SESSION['log']);
	          unset($_SESSION['upseudo']);
		 } else {
		      session_unset();
			}
	    session_destroy();
        header("Location:".$site[3]."plugins/adm_redacteurs/connect.php?lng=".$lng);
        break;

    case "Logged" :
//FIN PROTECTION
$pathDirMinieditor = 'plugins/adm_redacteurs/editors/';    //chemin relatif du rpertoire du miniditeur ( ne pas modifier pour ne pas perdre la compatibilit avec les autres plugins)

// Insertion du fichier de langue
if(file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/lang/'.$lng.'_minieditortextarea.inc')) {
	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/lang/'.$lng.'_minieditortextarea.inc');
} else {
	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/lang/en_minieditortextarea.inc'); // fichier de langue par dfaut
}

//CONFIGURATION DES REPERTOIRES ACCESSIBLE POUR UPLOAD PAR DEFAUT
$accessRepUpload = array('img','photo','file','pages','flash');  //Rpertoire o l'on a accs pour uploader

//Rcupration de la config du miniditor
if(file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/minieditortextarea_config.inc')) {
	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/minieditortextarea_config.inc');  //CONFIGURATION MINIEDITEUR PAR DEFAUT
} else {
	die('Une erreur est survenue car il manque le ficher "'.$pathDirMinieditor.'minieditortextarea/minieditortextarea_config.inc "');
}
$path_minieditortextarea_config = isset($_GET['pathconfig']) ? $_GET['pathconfig'] : NULL;
$path_minieditortextarea_config = strip_tags($path_minieditortextarea_config);
if(isset($path_minieditortextarea_config) && $path_minieditortextarea_config != '' && preg_match("`^[-a-z0-9_]{1}[-a-z0-9_\/]*\/$`i",$path_minieditortextarea_config) && file_exists(CHEMIN.$path_minieditortextarea_config.'minieditortextarea_config.inc')) {
	include(CHEMIN.$path_minieditortextarea_config.'minieditortextarea_config.inc');  //CONFIGURATION MINIEDITEUR
}

//CONTROLE DES REPERTOIRES ECRITS DANS LA VARIABLE $accessRepUpload et CREATION DU REPERTOIRE SI NECESSAIRE
include(CHEMIN.$pathDirMinieditor.'upload/functions_upload.inc');
$accessRepUpload = controlNameRepUpload($accessRepUpload);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<title><?php echo $lang_minieditor[19]; ?></title>
<?php
if (file_exists($meskin."style.css")){ 
    echo '<link type="text/css" rel="stylesheet" href="'.$meskin.'style.css" />';
} else {
    echo "<style type=\"text/css\">";
    if(file_exists($meskin."style.inc")) {
	    include($meskin."style.inc");
	} else {
	    include(CHEMIN."inc/style.inc");
	}
    echo "</style>";
}

echo '</head>';
echo '<body style="margin:0px; padding:15px; color:'.$texte[0].'; background-color:'.$texte[2].'; background-image:none; font-family:'.$page[1].'; font-size:'.$page[2].';" >';
?>
<script type="text/javascript">
    //Rcupration du code
    var IPATH = "<?php echo preg_replace('`/`','\/',$site[3]); ?>";
<?php
    if (isset($nametextarea) && isset($nameform)) {
        echo 'editorvalue = window.opener.document.forms[\''.$nameform.'\'].elements[\''.$nametextarea.'\'].value;';
    } else {
		echo 'alert(\'Une erreur est survenue car les noms du form et du textarea ne sont pas dfinis\');';
    }

	echo 'editorvalue = editorvalue.replace (/src=\"inc\//gi,"src=\"" + IPATH + "inc/");'."\n";
	foreach($accessRepUpload as $nameRepUp) {
		echo 'editorvalue = editorvalue.replace (/src=\"'.$nameRepUp.'\//gi,"src=\"" + IPATH + "'.$nameRepUp.'/");'."\n";
		echo 'editorvalue = editorvalue.replace (/src='.$nameRepUp.'\//gi,"src=" + IPATH + "'.$nameRepUp.'/");'."\n";
		echo 'editorvalue = editorvalue.replace (/href=\"'.$nameRepUp.'\//gi,"href=\"" + IPATH + "'.$nameRepUp.'/");'."\n";
		echo 'editorvalue = editorvalue.replace (/value=\"'.$nameRepUp.'\//gi,"value=\"" + IPATH + "'.$nameRepUp.'/");'."\n";
		echo 'editorvalue = editorvalue.replace (/data=\"'.$nameRepUp.'\//gi,"data=\"" + IPATH + "'.$nameRepUp.'/");'."\n";
	}
?>
    document.write(editorvalue);  
</script>
</body>
</html>
<?php
}
?>