/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.1 (2008/04/19)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Fork MinieditorTextarea ralis par Djchouix    
 * CeCILL Copyright (C) 2004-2006 by Laurent Duveau
 * Made by Laurent Duveau, Nicolas Alves, Albert Aymard,
 * Jean-Michel Misrachi, Isabelle Marchina and Team
 * Web site = http://lebrikabrak.free.fr/
 * E-mail   : lebrikabrak@free.fr
 * version 1.6.2
 */
//CREATION ET CONFIGURATION DE L'EDITEUR TINYMCE
tinyMCE.init({
	mode : "exact",
	elements : "editor",
	theme : "advanced",
	plugins : "table,save,advimage,advlink,emotions,iespell,insertdatetime,preview,zoom,flash,searchreplace,print,paste,directionality,fullscreen,noneditable,contextmenu",
	theme_advanced_buttons1_add_before : "save,newdocument,separator",
	theme_advanced_buttons1_add : "fontselect,fontsizeselect",
	theme_advanced_buttons2_add : "separator,insertdate,inserttime,preview,separator,forecolor,backcolor,liststyle",
	theme_advanced_buttons2_add_before: "cut,copy,paste,pastetext,pasteword,separator,search,replace,separator",
	theme_advanced_buttons3_add_before : "tablecontrols,separator",
	theme_advanced_buttons3_add : "emotions,iespell,flash,separator,print,separator,ltr,rtl,separator,fullscreen",
	theme_advanced_toolbar_location : "top",
	theme_advanced_toolbar_align : "left",
	theme_advanced_statusbar_location : "bottom",
	theme_advanced_source_editor_width : "600",
	theme_advanced_source_editor_height : "500",
	theme_advanced_styles : "Titre=title;Gras=bold;Surligner=surlign;",
	theme_advanced_fonts : "Arial=arial,helvetica,sans-serif;Verdana=verdana,bitstream vera sans,sans-serif;Times New Roman=times new roman,times,serif;Courier New=courier new,courier,monospace",
	theme_advanced_resizing : true,
	theme_advanced_resize_horizontal : false,
	theme_advanced_link_targets : "",
	content_css : IPATH + "plugins/adm_redacteurs/editors/tinymce_config/custom/guppy_editor_content.css",
	popup_css : IPATH + "plugins/adm_redacteurs/editors/tinymce_config/custom/guppy_editor_popup.css",
	editor_css : IPATH + "plugins/adm_redacteurs/editors/tinymce_config/custom/guppy_editor_ui.css",
	plugin_insertdate_dateFormat : "%Y-%m-%d",
	plugin_insertdate_timeFormat : "%H:%M:%S",
	extended_valid_elements : "hr[class|width|size|noshade]",
	file_browser_callback : "fileBrowserCallBack",  //ne pas modifier
	paste_use_dialog : false,
	document_base_url : IPATH, //ne pas modifier
	language : tinymcelng,  //ne pas modifier
	width : "95%",
	height : "435",
	cleanup_on_startup : true,
	convert_fonts_to_spans : true,
	force_br_newlines : false,
	force_p_newlines : true,
	convert_newlines_to_brs : false
});

function fileBrowserCallBack(field_name, url, type, win) {} //ncessaire pour accs  l'upload (ne pas modifier)