<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.4 (2009/07/07)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Tinymsg - GuppY PHP Script - version 4.5    
 * CeCILL Copyright (C) 2004-2006 by Laurent Duveau
 * Made by Laurent Duveau, Nicolas Alves, Albert Aymard,
 * Jean-Michel Misrachi, Isabelle Marchina and Team
 * Web site = http://www.freeguppy.org/
 * E-mail   = info@aldweb.com
 * version 4.6.x
 */
session_start();
header("Pragma: no-cache");
define("CHEMIN", "../../");
include(CHEMIN."inc/includes.inc");
$lng = isset($_POST['lng'])? $_POST['lng'] : (isset($_GET['lng'])? $_GET['lng'] : NULL);
if(!preg_match("`^[-a-z]+$`i",$lng)) die("Erreur dans le nom des variables passes dans l'URL !!");
//Protection contre les petits curieux
if (file_exists(CHEMIN."plugins/adm_redacteurs/inc/redac_login".INCEXT)) {
    include(CHEMIN."plugins/adm_redacteurs/inc/redac_login".INCEXT);
} else {
    die('Error 220');
};

//on regarde ce que contient la variable $log
switch ($log){
    case "Not logged" :  //on sort
	     if($version == "new"){
              unset($_SESSION['log']);
	          unset($_SESSION['upseudo']);
		 } else {
		      session_unset();
			}
	    session_destroy();
        header("Location:".$site[3]."plugins/adm_redacteurs/connect.php?lng=".$lng);
        break;
    case "Logged" :
//Fin de protection

function UpdateFicForm($fic, $form, $id) {
  $array = explode("\n", fread(fopen($fic, "r"), filesize($fic)));
  $delete = array_pop($array);
  $new = $form;
  $array[$id] = $new;
  $fhandle = fopen($fic,"w");
  for($a=0;$a< count($array);$a++) {
    fwrite($fhandle,stripslashes($array[$a])."\n");	
  }
  fclose($fhandle);
}

$action = isset($_POST['action'])? $_POST['action'] : (isset($_GET['action'])? $_GET['action'] : 0);
$from = $upseudo;
$to = isset($_POST['to'])? $_POST['to'] : (isset($_GET['to'])? $_GET['to'] : '');
$fic = strip_tags($fic);
$form = strip_tags($form);
$id = strip_tags($id);
$ancienmsg = strip_tags($ancienmsg);
$msg = WrapLongWords(strip_tags($msg));
if(!preg_match('`^[0-9]$`',$action) || !preg_match('`^[-a-z0-9_]*$`i',$to)) die('ERREUR dans la variable $action ou $to');
// INSERTION FICHIER DE LANGUE
if(file_exists(CHEMIN.'plugins/adm_redacteurs/lang/'.$lng.'-adm_redacteurs.inc')) {
	include(CHEMIN.'plugins/adm_redacteurs/lang/'.$lng.'-adm_redacteurs.inc');
} else {
	include(CHEMIN.'plugins/adm_redacteurs/lang/en-adm_redacteurs.inc');
}

include(CHEMIN."inc/hpage.inc");
$topmess = ($lng == $lang[0])? MiniMessage : TinyMessage ;
htable($topmess." - ".$upseudo, "100%");

switch ($action) {
	case 0 :
    	$nbrtinymsg = ReadDBFields(REP_REDACMSG.$upseudo.DBEXT);
    	if(count($nbrtinymsg) > ($serviz[48]+2)) {
        	DeleteDBFieldById(REP_REDACMSG.$upseudo.DBEXT, 2);
    	}
    	$dbmsg = array();
  		if (file_exists(REP_REDACMSG.$upseudo.DBEXT)) {
    		$dbmsg = ReadDBFields(REP_REDACMSG.$upseudo.DBEXT);
		}
?>
		<p style="text-align:center;"><?php echo "$web291 $serviz[48] $web335"; ?></p>
		<p style="text-align:center;"><img src="<?php echo CHEMIN; ?>inc/img/general/new.gif" border="0" alt="<?php echo $web211; ?>" title="<?php echo $web211; ?>" style="margin-right:5px;vertical-align:middle;" /><?php echo $web211; ?><br /><img src="<?php echo CHEMIN; ?>inc/img/general/lu.gif" border="0" alt="<?php echo $web209; ?>" title="<?php echo $web209; ?>" style="margin-right:5px;vertical-align:middle;" /><?php echo $web209; ?></p>
		<hr />
		<p style="text-align:center;font-weight:bold;">
		<a href="minimsg.php?lng=<?php echo $lng; ?>&amp;action=0&amp;id=<?php echo $i; ?>">Tous les messages</a>
		&nbsp;||&nbsp;
		<a href="minimsg.php?lng=<?php echo $lng; ?>&amp;action=3&amp;id=<?php echo $i; ?>">Envoyer un message</a> 			
		</p>
		<hr />
		<p style="margin-top:30px;text-align:center;font-weight:bold;"><?php echo $web207; ?></p>
		<table width="90%" align="center" cellpadding="3">
		<tr class="forum" style="font-weight:bold;">
		<td width="10%" align="center"><?php echo $web206; ?></td>
		<td><?php echo $web210; ?></td>
		<td width="30%" align="center"><?php echo $web325; ?></td>
		<td width="10%" align="center"><?php echo $web323; ?></td>
		</tr>
<?php
		for ($i = 0; $i < count($dbmsg); $i++) {
			if ($dbmsg[$i][4] != "send") {
				if ($dbmsg[$i][3] == "new") {
					$tdcolor = "class=\"quest\"";
				} elseif ($dbmsg[$i][3] == "lu") {
					$tdcolor = "class=\"rep\"";
				}
?>
				<tr <?php echo $tdcolor; ?> >
				<td width="10%" align="center"><img src="<?php echo CHEMIN; ?>inc/img/general/<?php echo $dbmsg[$i][3]; ?>.gif" border="0" alt="<?php echo$dbmsg[$i][3]; ?>" title="<?php echo$dbmsg[$i][3]; ?>"></td>
				<td style="padding-left:15px;font-weight:bold;"><a href="minimsg.php?lng=<?php echo $lng; ?>&amp;action=1&amp;id=<?php echo $i; ?>&amp;to=<?php echo $dbmsg[$i][0]; ?>&amp;from=<?php echo $upseudo; ?>" title="<?php echo $web140 ?>"><?php echo $dbmsg[$i][0]; ?></a></td>
				<td width="30%" align="center"><?php echo FormatDate($dbmsg[$i][1]); ?></td>
				<td width="10%" align="center">
				<a href="minimsg.php?lng=<?php echo $lng; ?>&amp;action=4&amp;id=<?php echo $i; ?>&amp;to=<?php echo $dbmsg[$i][0]; ?>"><img src="<?php echo CHEMIN; ?>inc/img/general/look.gif" border="0" alt="<?php echo $web326; ?>" title="<?php echo $web326; ?>"></a>
				<a href="minimsg.php?lng=<?php echo $lng; ?>&amp;action=5&amp;id=<?php echo $i; ?>"><img src="<?php echo CHEMIN; ?>inc/img/general/del.gif" border="0" alt="<?php echo $web324; ?>" title="<?php echo $web324; ?>"></a>
				</td>
				</tr>
<?php
			}
		}
?>
		</table>
		<p style="margin-top:30px;text-align:center;font-weight:bold;"><?php echo $web327; ?></p>
		<table width="90%" align="center" cellpadding="3">
		<tr class="forum" style="font-weight:bold;">
		<td width="10%" align="center"><?php echo $web206; ?></td>
		<td><?php echo $web328; ?></td>
		<td width="30%" align="center"><?php echo $web325; ?></td>
		<td width="10%" align="center"><?php echo $web323; ?></td>
		</tr>  
<?php
		for ($i = 0; $i < count($dbmsg); $i++) {
			if ($dbmsg[$i][4] == "send") {
				if ($dbmsg[$i][3] == "new") {
					$tdcolor = "class=\"quest\"";
				} elseif ($dbmsg[$i][3] == "lu") {
					$tdcolor = "class=\"rep\"";
				}
?>
				<tr <?php echo $tdcolor; ?> >
				<td width="10%" align="center"><img src="<?php echo CHEMIN; ?>inc/img/general/<?php echo$dbmsg[$i][3]; ?>.gif" border="0" alt="<?php echo$dbmsg[$i][3]; ?>" title="<?php echo$dbmsg[$i][3]; ?>"></td>
				<td style="padding-left:15px;font-weight:bold;"><?php echo $dbmsg[$i][0]; ?></td>
				<td width="30%" align="center"><?php echo FormatDate($dbmsg[$i][1]); ?></td>
				<td width="10%" align="center">
				<a href="minimsg.php?lng=<?php echo $lng; ?>&amp;action=6&amp;id=<?php echo $i; ?>&amp;to=<?php echo $dbmsg[$i][0]; ?>"><img src="<?php echo CHEMIN; ?>inc/img/general/look.gif" border="0" alt="<?php echo $web326; ?>" title="<?php echo $web326; ?>"></a>
				<a href="minimsg.php?lng=<?php echo $lng; ?>&amp;action=5&amp;id=<?php echo $i; ?>"><img src="<?php echo CHEMIN; ?>inc/img/general/del.gif" border="0" alt="<?php echo $web324; ?>" title="<?php echo $web324; ?>"></a>
				</td>
				</tr>
<?php
			}
		}
?>
		</table><br />
<?php
	break;

	case 1 :  //Rpondre  un message
?>
  		<form name="nmsgr" action="minimsg.php" method="post" onsubmit="return submitMinimsg();">
		<input type="hidden" name="sendMinimsg" value="1" />
		<input type="hidden" name="action" value="2" />
  		<input type="hidden" name="to" value="<?php echo $to; ?>" />
  		<input type="hidden" name="lng" value="<?php echo $lng; ?>" />
  		<input type="hidden" name="from" value="<?php echo $from; ?>" />
<?php
  		echo '<p>'.$web208.'&nbsp;&nbsp;<strong>'.$from.'</strong></p>';
  		echo '<p>'.$web204."&nbsp;&nbsp;<strong>".$to.'</strong></p>';
		
  		if (FileDBExist(REP_REDACMSG.$upseudo.DBEXT)) {
    		$dbmsg = ReadDBFields(REP_REDACMSG.$upseudo.DBEXT);
    		if ($id != "") {
      			if ($dbmsg[0][0] == $userprefs[7]) {
        			if ($dbmsg[$id][3] == "new") {
          				$dbmsg[$id][3] = "lu";
          				UpdateFicForm(REP_REDACMSG.$upseudo.DBEXT, $dbmsg[$id][0].CONNECTOR.$dbmsg[$id][1].CONNECTOR.$dbmsg[$id][2].CONNECTOR.$dbmsg[$id][3].CONNECTOR.$dbmsg[$id][4].CONNECTOR.$dbmsg[$id][5].CONNECTOR.$dbmsg[$id][6].CONNECTOR.$dbmsg[$id][7], $id);	
        			}
      			}
      			echo '<input type="hidden" name="anciendate" value="'.$dbmsg[$id][1].'" />';
      			echo '<p style="text-align:center;">'.$web216.'</p>';
      			echo '<p style="text-align:center;"><textarea name="ancienmsg" rows="5" cols="40" readonly>'.RemoveBr(stripslashes($dbmsg[$id][2])).'</textarea></p>';
    		}
  		}
?>
  		<p style="text-align:center;"><?php echo $web56; ?></p>
  		<p style="text-align:center;"><textarea name="msg" rows="10" cols="40" maxlength="10"></textarea></p>
  		<p style="text-align:center;"><?php echo $boutonleft; ?><input type="submit" class="bouton" value="<?php echo $web52; ?>" title="<?php echo $web52; ?>" /><?php echo $boutonright; ?></p>
  		</form>
  		<script type="text/javascript">
   			document.nmsgr.msg.focus();
			function submitMinimsg() {
				var modele = /^[\t\n\r\v ]*$/g;
				var minimsg = document.nmsgr.msg.value;
				if(modele.test(minimsg)) {
					alert('Vous devez crire un message');
					document.nmsgr.msg.focus();
					return false;
				} else {
					return true;
				}
			}
  		</script>
<?php
   	echo '<hr /><p align="center"><a href="minimsg.php?lng='.$lng.'&amp;action=0"><img src="'.CHEMIN.'inc/img/general/back.gif" border="0" alt="'.$web135.'" title="'.$web135.'"></a></p>';
	break;

	case 2 :  //Enregistrement du message
		function replaceNewlineByBr($string)
		{
			$in  = array("\r", "\n");
			$out = array('',   '<br />');
			return str_replace($in, $out, $string);
		}
		
  		$dbmsg = array();
		$sendMinimsg = isset($_POST['sendMinimsg'])? $_POST['sendMinimsg'] : '0';
  		if ($sendMinimsg == '1' && FileDBExist(REP_REDAC.$to.DBEXT) && FileDBExist(REP_REDAC.$from.DBEXT)) {
    		$dbmsg[0] = $from;
    		$dbmsg[1] = GetCurrentDateTime();
    		$dbmsg[2] = replaceNewlineByBr(RemoveConnector(stripslashes($msg)));
    		$dbmsg[3] = "new";
    		$dbmsg[4] = "";
    		$dbmsg[5] = replaceNewlineByBr(RemoveConnector(stripslashes($ancienmsg)));
    		$dbmsg[6] = $anciendate;
    		AppendDBFields(REP_REDACMSG.$to.DBEXT, $dbmsg);
    		$dbmsg[0] = $to;
    		$dbmsg[1] = GetCurrentDateTime();
    		$dbmsg[2] = replaceNewlineByBr(RemoveConnector(stripslashes($msg)));
    		$dbmsg[3] = "lu";
    		$dbmsg[4] = "send";
    		$dbmsg[5] = replaceNewlineByBr(RemoveConnector(stripslashes($ancienmsg)));
    		$dbmsg[6] = $anciendate;
    		AppendDBFields(REP_REDACMSG.$from.DBEXT, $dbmsg);
			
			echo '<p style="text-align:center;margin:15px;">'.$web332.'</p>';
   			echo '<hr /><p style="text-align:center;"><a href="minimsg.php?lng='.$lng.'&amp;action=0"><img src="'.CHEMIN.'inc/img/general/back.gif" border="0" alt="'.$web135.'" title="'.$web135.'" /></a></p>';
?>
    		<script type="text/javascript">
   				setTimeout("window.location='<?php echo $site[3]; ?>plugins/adm_redacteurs/minimsg.php?lng=<?php echo $lng; ?>&action=0';",2400);
    		</script>
<?php
    	} else {
    		echo '<p style="text-align:center;margin:15px;">'.$web230.'</p>';
 		} 	
	break;

	case 3 : //Ecriture Message
?>
  		<form name="nmsgr" action="minimsg.php" method="post" onsubmit="return submitMinimsg();">
		<input type="hidden" name="sendMinimsg" value="1" />
		<input type="hidden" name="action" value="2" />
  		<input type="hidden" name="lng" value="<?php echo $lng; ?>" />
  		<input type="hidden" name="from" value="<?php echo $from; ?>" />
  		<p>
<?php
  		echo $web208."&nbsp;&nbsp;<b>".$from."</b><br />";
  		echo $web204."&nbsp;&nbsp;";
?>
		<select name="to">
<?php
        //Rcupration des pseudo des rdacteurs existant
        $dir = opendir(REP_REDAC);
		$rpseudoLower = array();
        while (false !== ($f = readdir($dir))) {
            if(is_file(REP_REDAC.$f) && $f != 'index.php' && preg_match("`^([-a-z0-9_]+).dtb$`",$f,$nomredac) && $f != $from.DBEXT) {
					$rpseudoLower[$nomredac[1]] = strToLower($nomredac[1]);
	        }    
	    }
	    closedir($dir);
	    @asort($rpseudoLower);

		foreach($rpseudoLower as $cle => $value) {
			echo '<option value="'.$cle.'">'.$value.'</option>';
		}
?>		
		</select>
		</p>
		<p style="text-align:center;"><?php echo $web56; ?></p>
  		<p style="text-align:center;"><textarea name="msg" rows="10" cols="40" maxlength="10"></textarea></p>
  		<p style="text-align:center;"><?php echo $boutonleft; ?><input type="submit" class="bouton" value="<?php echo $web52; ?>" title="<?php echo $web52; ?>" /><?php echo $boutonright; ?></p>
  		</form>		
  		<script language="javascript">
   			document.nmsgr.msg.focus();
			function submitMinimsg() {
				var modele = /^[\t\n\r\v ]*$/g;
				var minimsg = document.nmsgr.msg.value;
				if(modele.test(minimsg)) {
					alert('Vous devez crire un message');
					document.nmsgr.msg.focus();
					return false;
				} else {
					return true;
				}
			}
  		</script>
<?php
   		echo '<hr /><p style="text-align:center;"><a href="minimsg.php?lng='.$lng.'&amp;action=0"><img src="'.CHEMIN.'inc/img/general/back.gif" border="0" alt="'.$web135.'" title="'.$web135.'" /></a></p>';
	break;
	
	case 4 : //Lecture Message Reu
  		if (!is_numeric($id)) die("minimsg.php : action=4 empty id");
    	$dbmsg = array();
  		if (FileDBExist(REP_REDACMSG.$upseudo.DBEXT)) {
    		$dbmsg = ReadDBFields(REP_REDACMSG.$upseudo.DBEXT);
    		if ($dbmsg[$id][0] == $to) {
      			$dbmsg[$id][3] = "lu";
      			UpdateFicForm(REP_REDACMSG.$upseudo.DBEXT,$dbmsg[$id][0].CONNECTOR.$dbmsg[$id][1].CONNECTOR.$dbmsg[$id][2].CONNECTOR.$dbmsg[$id][3].CONNECTOR.$dbmsg[$id][4].CONNECTOR.$dbmsg[$id][5].CONNECTOR.$dbmsg[$id][6].CONNECTOR.$dbmsg[$id][7], $id)	
?>
      			<p style="text-align:center;"><strong><?php echo $web330.'&nbsp;'.$dbmsg[$id][0]; ?></strong>&nbsp;<?php echo $web7.'&nbsp;'.FormatDate($dbmsg[$id][1]); ?></p>
      			<br />
				<p style="padding:10px;border:1px dotted #000000;"><?php echo stripslashes($dbmsg[$id][2]); ?></p>
<?php
            	if($dbmsg[$id][5] != "") {		
        			echo '<p>'.$web329.'&nbsp;'.FormatDate($dbmsg[$id][6]).'</p>';
        			echo '<p style="padding:10px;border:1px dotted #000000;">'.RemoveBr(stripslashes($dbmsg[$id][5])).'</p>';
            	}
?>
      			<p style="text-align:center;">[<a href="minimsg.php?lng=<?php echo $lng; ?>&amp;action=1&amp;id=<?php echo $id; ?>&amp;to=<?php echo $dbmsg[$id][0]; ?>&amp;from=<?php echo $upseudo; ?>"><?php echo $web140; ?></a>]
      			&nbsp;[<a href="minimsg.php?lng=<?php echo $lng; ?>&amp;action=5&amp;id=<?php echo $id; ?>"><?php echo $web324; ?></a>]</p>
<?php
        	}
    	}
  		echo '<hr /><p style="text-align:center;"><a href="minimsg.php?lng='.$lng.'&amp;action=0"><img src="'.CHEMIN.'inc/img/general/back.gif" border="0" alt="'.$web135.'" title="'.$web135.'" /></a></p>';
	break;
	
	case 5 :  //Suppression d'un message envoy ou reu
  		if (!is_numeric($id)) die("minimsg.php : action=5 empty id");
  		DeleteDBFieldById(REP_REDACMSG.$upseudo.DBEXT, $id);
  		echo '<p style="text-align:center;">'.$web331.'</p>';
  		echo '<p style="text-align:center;margin-top:15px;"><a href="minimsg.php?lng='.$lng.'&amp;action=0"><img src="'.CHEMIN.'inc/img/general/back.gif" border="0" alt="'.$web135.'" title="'.$web135.'" /></a></p>';
?>
  		<script type="text/javascript">
   			setTimeout("window.location='<?php echo $site[3]; ?>plugins/adm_redacteurs/minimsg.php?lng=<?php echo $lng; ?>&action=0';",2400);
  		</script>
<?php
	break;
		
	case 6 : //Lecture Message Envoy
  		if (!is_numeric($id)) die("minimsg.php : action=6 empty id");
  		$dbmsg = array();
  		if (FileDBExist(REP_REDACMSG.$upseudo.DBEXT)) {
    		$dbmsg = ReadDBFields(REP_REDACMSG.$upseudo.DBEXT);
      		if ($dbmsg[$id][0] == $to) {
      			echo '<p>Pour <strong>'.$dbmsg[$id][0].'</strong>&nbsp;'.$web7.'&nbsp;'.FormatDate($dbmsg[$id][1]).'</p>';
      			echo '<p style="padding:10px;border:1px dotted #000000;">'.$dbmsg[$id][2].'</p>';
        	}
    	}
  		echo '<hr /><p style="text-align:center;"><a href="minimsg.php?lng='.$lng.'&amp;action=0"><img src="'.CHEMIN.'inc/img/general/back.gif" border="0" alt="'.$web135.'" title="'.$web135.'" /></a></p>';
	break;
		
	default :
		echo '<p style="text-align:center;margin:15px;">'.$redac60.'</p>';
  		echo '<hr /><p style="text-align:center;"><a href="minimsg.php?lng='.$lng.'&amp;action=0"><img src="'.CHEMIN.'inc/img/general/back.gif" border="0" alt="'.$web135.'" title="'.$web135.'" /></a></p>';		
}	

btable();
include(CHEMIN."inc/bpage.inc");
}
?>